package com.lz.modules.flow.dao;
/**
* <p>
* 流程节点权限对应关系表 服务类
* </p>
*
* @author quyixiao
* @since 2020-10-14
*/
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.lz.modules.flow.entity.FlowChartRole;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface FlowChartRoleMapper extends BaseMapper<FlowChartRole> {


	FlowChartRole selectFlowChartRoleById(@Param("id")Long id);


	Long insertFlowChartRole(FlowChartRole flowChartRole);


	int updateFlowChartRoleById(FlowChartRole flowChartRole);


	int updateCoverFlowChartRoleById(FlowChartRole flowChartRole);


	int deleteFlowChartRoleById(@Param("id")Long id);


    List<FlowChartRole> selectFlowChartRolesByChartIdAndType(@Param("id") Long id, @Param("type") int type);
}